AOZ Studio Beta - Bug #252

For / Next Problem
02/24/2020 07:46 PM - David Baldwin

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Francois Lionet % Done:

Category: Estimated time:

Target version: 0.9.5.1

Affected version: 0.9.5

02/24/2020

0%
0:00 hour

Description

The last iteration of a for / next loop is not being processed:-
For N=110 10

Print N

Next N

Will print numbers 1 to 9.

For N=10 to 1

Print N

Next N

Will print numbers 10 down to 2.

Related issues:
Related to AOZ Studio Beta - Bug #273: Reverse For does not work at all

Rejected

02/29/2020

History

#1 - 02/27/2020 09:51 AM - Francois Lionet
- Status changed from New to Closed
- Assignee set to Francois Lionet

- Target version set to 0.9.5
#2 - 02/29/2020 08:40 AM - Baptiste Pillot

- Target version changed from 0.9.5 to 0.9.5.1

¢ Fixed in 0.9.5.1 : now prints from 1 to 10
e But: For N=10 to 1 does not print anything, for me, for both 0.9.5 and 0.9.5.1.

#3 - 02/29/2020 08:43 AM - Baptiste Pillot
- Related to Bug #273: Reverse For does not work at all added

04/27/2024
